org.wildfly.swarm.config.infinispan.cache_container

## Class BinaryJDBCStore.BinaryJDBCStoreResources

- java.lang.Object
- - org.wildfly.swarm.config.infinispan.cache_container.BinaryJDBCStore.BinaryJDBCStoreResources

- Enclosing class:
    BinaryJDBCStore<T extends BinaryJDBCStore<T>>

      public static class BinaryJDBCStore.BinaryJDBCStoreResources
      extends Object

  Child mutators for BinaryJDBCStore

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BinaryJDBCStoreResources()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BehindWrite` | `behindWrite()` Configures a cache store as write-behind instead of write-through.
    `BinaryTable` | `binaryTable()` Defines a table used to store cache entries whose keys cannot be expressed as strings.
    `List<Property>` | `properties()` Get the list of Property resources
    `Property` | `property(String key)`
    `ThroughWrite` | `throughWrite()` Configures a cache store as write-through.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BinaryJDBCStoreResources

          public BinaryJDBCStoreResources()

  - ### Method Detail

    - #### properties

          public List<Property> properties()

      Get the list of Property resources
      Returns:
        the list of resources

    - #### property

          public Property property(String key)

    - #### throughWrite

          public ThroughWrite throughWrite()

      Configures a cache store as write-through.

    - #### behindWrite

          public BehindWrite behindWrite()

      Configures a cache store as write-behind instead of write-through.

    - #### binaryTable

          public BinaryTable binaryTable()

      Defines a table used to store cache entries whose keys cannot be expressed as strings.

Copyright © 2018 JBoss by Red Hat. All rights reserved.